module.exports.__fsLocationMap = [[1, 13, 2, 7], [1, 23, 2, 22], [2, 8, 3, 7], [2, 23, 3, 27], [2, 8, 3, 40], [12, 14, 4, 16], [12, 8, 4, 25], [12, 14, 4, 31], [12, 21, 4, 38], [12, 29, 4, 46], [19, 3, 11, 3], [19, 16, 11, 16], [19, 16, 12, 5], [19, 16, 12, 12], [20, 5, 13, 5], [20, 11, 13, 11], [20, 17, 13, 17], [20, 22, 13, 22], [20, 29, 13, 29], [20, 32, 13, 32], [20, 40, 13, 40], [21, 5, 14, 5], [22, 7, 14, 13], [22, 12, 14, 18], [25, 5, 15, 5], [25, 10, 15, 10], [26, 7, 16, 7], [26, 13, 16, 13], [26, 18, 16, 18], [26, 26, 16, 26], [29, 5, 18, 5], [29, 10, 18, 10], [38, 3, 28, 3], [38, 9, 28, 9], [39, 5, 29, 5], [39, 11, 29, 11], [39, 18, 29, 18], [39, 23, 29, 23], [39, 32, 29, 32], [40, 5, 30, 5], [40, 10, 30, 10], [40, 21, 30, 21], [40, 26, 30, 26], [40, 32, 30, 32], [40, 37, 30, 37], [40, 47, 30, 47], [41, 5, 31, 5], [41, 12, 31, 12], [41, 17, 31, 17], [43, 3, 34, 3], [44, 5, 35, 5], [44, 12, 35, 12], [44, 17, 35, 17], [46, 3, 38, 3], [46, 8, 38, 8], [47, 5, 39, 5], [47, 12, 39, 12], [47, 17, 39, 17], [47, 26, 39, 26], [49, 3, 42, 3], [49, 8, 42, 8], [50, 5, 43, 5], [50, 10, 43, 10], [50, 21, 43, 21], [50, 26, 43, 26], [50, 32, 43, 32], [50, 37, 43, 37], [50, 47, 43, 47], [51, 5, 44, 5], [51, 12, 44, 12]];
module.exports.__esModule = true;
const path = require('path');
const Superconf = require('superconf').Superconf;
module.exports.Config = class Config extends Superconf {
  /**
   * Config constructor
   *
   * @method constructor
   * @param  {object}    opts Options object
   */
  constructor (opts) {
    opts = opts || {};
    const cwd = opts.cwd || `${process.cwd()}/config/`;
    super({ cwd: cwd });
    this.config({
      dept: opts.dept || 1
    });
    this.__config = {};
  }

  /**
   * Loads a config from file
   *
   * @method load
   * @param  {string} name Load config `name`
   * @return {object}       Returns a Config object
   */
  load (name) {
    const conf = this.tryFiles(name);
    this.__config = this.merge(this.__config, conf);
    return this.__config;
  }

  getConfig () {
    return this.__config;
  }

  get (key) {
    return this.__config[key];
  }

  set (conf) {
    this.__config = this.merge(this.__config, conf);
    return this;
  }
};
