module.exports.__fsLocationMap = [[1, 14, 3, 16], [1, 8, 3, 23], [1, 14, 3, 29], [2, 3, 4, 3], [2, 16, 4, 16], [2, 16, 5, 5], [2, 16, 5, 12], [3, 5, 6, 5], [3, 10, 6, 10], [3, 18, 6, 18], [3, 23, 6, 23], [3, 32, 6, 32], [4, 5, 7, 5], [4, 10, 7, 10], [4, 17, 7, 17], [5, 5, 8, 5], [5, 10, 8, 10], [5, 24, 8, 24], [14, 3, 18, 3], [14, 13, 18, 9], [14, 13, 19, 63], [15, 5, 20, 5], [15, 10, 20, 10], [15, 24, 20, 24], [16, 5, 21, 5], [16, 12, 21, 12], [23, 3, 29, 3], [24, 5, 30, 5], [24, 11, 30, 11], [24, 21, 30, 21], [25, 5, 31, 5], [25, 11, 31, 11], [25, 20, 31, 20], [26, 5, 32, 5], [26, 11, 32, 11], [26, 18, 32, 18], [26, 23, 32, 23], [28, 5, 33, 5], [28, 12, 33, 12], [28, 27, 33, 27], [28, 37, 33, 37], [28, 59, 33, 59]];
module.exports.__esModule = true;
const FirescriptRuntime = require('firescript-runtime').FirescriptRuntime;
module.exports.Page = class Page {
  constructor (opts) {
    opts = opts || {};
    this.title = opts.title || 'Blank page';
    this.tick = 0;
    this.pageContent = '';
  }

  /**
   * Set page content, overwrites existing content
   *
   * @method {html}
   * @param {str} pageContent
   * @returns Instance of Page
   */
  html (pageContent) {
    FirescriptRuntime.paramTyping(FirescriptRuntime.TYPE_STR, pageContent, 'pageContent');
    this.pageContent = pageContent;
    return this;
  }

  /**
   * Render page
   *
   * @returns Rendered page as html string
   */
  render () {
    const scripts = '';
    const styles = '';
    const body = this.pageContent;
    return `<html><head>${scripts}${styles}</head><body>${body}</body></html>`;
  }
};
