module.exports.__fsLocationMap = [[1, 14, 2, 16], [1, 8, 2, 25], [1, 14, 2, 31], [2, 3, 3, 3], [2, 16, 3, 16], [2, 16, 4, 5], [2, 16, 4, 12], [3, 5, 5, 5], [3, 10, 5, 10], [3, 21, 5, 21], [3, 26, 5, 26], [3, 36, 5, 36], [3, 41, 5, 41], [4, 5, 6, 5], [4, 10, 6, 10], [4, 17, 6, 17], [6, 3, 9, 3], [6, 10, 9, 10], [7, 5, 10, 5], [7, 8, 10, 9], [8, 7, 11, 7], [8, 12, 11, 12], [8, 23, 11, 23], [10, 5, 13, 5], [10, 10, 13, 10], [13, 3, 16, 3], [14, 5, 17, 5], [14, 10, 17, 10], [14, 18, 17, 18], [16, 5, 18, 5], [16, 8, 18, 9], [16, 14, 18, 15], [16, 19, 18, 20], [17, 7, 19, 7], [17, 13, 19, 13], [17, 17, 19, 17], [17, 23, 19, 23], [19, 5, 21, 5], [20, 7, 22, 7], [20, 12, 22, 12], [21, 5, 23, 7], [21, 11, 23, 14], [22, 7, 24, 7], [22, 12, 24, 12], [22, 24, 24, 24], [24, 5, 26, 5], [24, 11, 26, 11], [24, 19, 26, 16], [25, 7, 27, 7], [25, 12, 27, 12], [27, 5, 29, 5], [27, 10, 29, 10], [27, 24, 29, 24], [27, 35, 29, 35], [27, 39, 29, 39], [27, 44, 29, 44], [29, 3, 32, 3], [30, 5, 33, 5], [30, 18, 33, 18], [30, 23, 33, 23], [32, 3, 36, 3], [32, 14, 36, 14], [33, 5, 37, 5], [33, 8, 37, 9], [33, 15, 37, 16], [33, 23, 37, 24], [34, 7, 38, 7], [34, 14, 38, 14], [36, 5, 40, 5], [36, 8, 40, 9], [36, 12, 40, 13], [36, 21, 40, 22], [37, 7, 41, 7], [37, 14, 41, 14], [37, 23, 41, 23], [37, 28, 41, 28], [37, 34, 41, 34], [39, 5, 43, 5], [39, 8, 43, 9], [39, 12, 43, 13], [39, 21, 43, 22], [40, 7, 44, 7], [40, 14, 44, 14], [40, 23, 44, 23], [40, 28, 44, 28], [40, 34, 44, 34]];
module.exports.__esModule = true;
module.exports.Worker = class Worker {
  constructor (opts) {
    opts = opts || {};
    this.interval = this.parseTime(opts.interval);
    this.tick = 0;
  }

  start (fn) {
    if (fn) {
      this.workerFn = fn;
    }
    this.next();
  }

  next () {
    this.tick += 1;
    if (isNaN(this.interval)) {
      throw new Error('Could not start worker, interval is incorrect or set!');
    }
    try {
      this.workerFn();
    } catch (err) {
      this.lastError = err;
    }
    const fn = () => {
      this.next();
    };
    this.nextHandler = setTimeout(fn, this.interval);
  }

  stop () {
    clearTimeout(this.nextHandler);
  }

  parseTime (str) {
    if (typeof str === 'number') {
      return str;
    }
    if (str.endsWith('s')) {
      return parseInt(str, 10) * 1000;
    }
    if (str.endsWith('m')) {
      return parseInt(str, 10) * 60000;
    }
  }
};
